MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024895Community[OCCT] OCCT:Codingpublic2014-05-04 19:442016-04-20 15:52
ReporterEpy 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformUbuntu 14.04 LTS 32-bitOSUbuntuOS Version14.04 LTS
Product Version[OCCT] 6.7.0 
Target Version[OCCT] 7.0.0Fixed in Version[OCCT] 7.0.0 
Summary0024895: 'PLUGINFACTORY' has C-linkage specified, but returns user-defined type 'Handle_Standard_Transient' which is incompatible with C
Description0023935 fixed some of these errors previously, but there are still more errors where Clang complains about returning handles in places where C-linkage is specified.
TagsNo tags attached.
Test case number
Attached Filestxt file icon clang-errors.txt (7,298 bytes) 2014-05-04 19:44

- Relationships
related to 0023814closedbugmaster Open CASCADE Drop plugin interface for Graphic3d_GraphicDriver instantiation 
related to 0024925closedapn Community Enabling OCAF persistence without setting environment variables 
related to 0024023closedabv Open CASCADE Revamp the OCCT Handle 

-  Notes
(0043442)
kgv (developer)
2015-07-27 10:36

Dear bugmaster,

please switch to verified - the bug has been fixed in scope of patch for 0024023 (0024023: Revamp the OCCT Handle -- plugin).

- Issue History
Date Modified Username Field Change
2014-05-04 19:44 Epy New Issue
2014-05-04 19:44 Epy Assigned To => kgv
2014-05-04 19:44 Epy File Added: clang-errors.txt
2014-05-05 08:39 kgv Relationship added related to 0023814
2014-07-12 12:17 kgv Relationship added related to 0024925
2014-09-11 19:40 abv Target Version => 7.0.0
2015-07-27 10:34 kgv Relationship added related to 0024023
2015-07-27 10:36 kgv Note Added: 0043442
2015-07-27 10:36 kgv Assigned To kgv => bugmaster
2015-07-27 10:36 kgv Status new => feedback
2015-07-27 10:36 kgv Resolution open => fixed
2015-07-27 10:36 kgv Fixed in Version => 7.0.0
2015-07-30 11:43 bugmaster Status feedback => tested
2015-07-30 11:43 bugmaster Status tested => verified
2016-04-20 15:52 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker